Almico's Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001484SpeedFanHardware supportpublic2009-10-08 17:532011-04-09 13:44
ReporterMinDFreaK 
Assigned Toalfredo 
PrioritynormalSeveritytrivialReproducibilityalways
StatusresolvedResolutionfixed 
PlatformWindows 7 x64OSWindows 7 x64 UltimateOS VersionWindows 7 x64
Product Version4.39 
Target VersionFixed in Version4.43 beta 
Summary0001484: GPU temperature display fault
DescriptionAfter upgrading the Nvidia GPU drivers form v190.62 to v191.07 Speedfan displayes the GPU temperature as 0 degrees Celcius.

I did a downgrade to v190.62 again and everything was fine again.
My GPUcard is a Asus ENGTX275.
Steps To ReproduceInstall Nvidia v191.07 drivers and reading is 0C.
Downgrade to v190.62 and reading is OK again.
TagsNo tags attached.
Motherboard ModelMSI P45 Neo (MS-7519)
Video Card ModelAsus ENGTX275
Attached Files

- Relationships
related to 0001710resolvedalfredo 4.43 Beta 2 - No Nvidia GTX 480 GPU Fan Speed 

-  Notes
(0005013)
alfredo (manager)
2009-10-16 11:44

Interesting. It would be great if you could send me a SEND REPORT (INFO tab) from both situations.
Then send me a reminder. I will have a look at the reports and will try to figure out what happened.
(0005050)
Jaws (reporter)
2009-11-28 08:34

The same issue is still here with Speedfan 4.40 and the new Nvidia drivers 195.62.
I just sent a report within Speedfan referencing to this Bug ID. Please let me know if I can provide anything else - I use Speedfan to control my GPU fan so I'd be really happy if this works again. :-)
(0005051)
MinDFreaK (reporter)
2009-11-28 12:22
edited on: 2009-11-28 12:23

This is information supplied by Nvidia in the driver release notes.

Unsupported Features
The
(0005062)
Emtri (reporter)
2009-12-15 12:17
edited on: 2009-12-15 12:17

I updated my Nvidia driver from 182.52 to 195.62 and lost GPU temperature reading in Speedfan too. After some Google-Fu i found this:


taken from http://www.evga.com/forumsarchive/fb.asp?m=100920204 [^]

[quote]
That's an internal issue of all currently available 190.xx series.

Problem background:
Since 190.xx series NVIDIA driver's internal resource manager is trying to precache thermal sensors information in the registry during the first startup after installation. This mechanism doesn't seem to work fine yet, under some conditions sensor detection and precaching algorithm can fail and store incorrect sensor type information in the registry causing temperatures to disappear till the ForceWare re-installation.

Temporary solution:

Until the problem is not fixed by NVIDIA, there are still some temporary tricks allowing to solve it. First, you may just perform complete Foreware re-install, this will also cause precached thermal sensor information to be removed from the registry and to be re-detected by ForceWare on the next start. Second, you may manually remove corrupted thermal sensor information from the registry and this way cause the ForceWare to re-detect it on the next reboot. To do it open regedit then search and delete all instances of RmThermalProviderInfo and RmThermalProviderNum entries in the registry. Then reboot.
[/quote]


I went for the second solution and deleted the mentioned registry keys. Upon reboot Speedfan reads the temp of my GTX260 again.

(0005063)
MinDFreaK (reporter)
2009-12-15 16:23
edited on: 2009-12-15 16:26

Thanks Emtri for this info. I did as mentioned and deleleted the entries from the registry. And after a reboot Speedfan did indied showed the GPU temperature again. So simple (I you know it) Again many thanks Emtri.

PS Driver version 195.62 and Speedfan v4.40

(0005069)
UncleSam (reporter)
2009-12-19 23:25

Updating to the 191.07 geforce drivers caused the issue with speedfan (v4.37) failing to read the GPU temps.

Uninstalling/reinstalling both nvidia drivers (using 'DriverSweeper' to clean out lingering files) and speedfan (to v4.4) did NOT help.

The above 'registry fix' from Emtri/Unwinder SOLVED the problem!

- Uninstalled the 191.07 drivers (and ran 'DriverSweeper' in safemode)
- Sweeped the registry for all instances as desribed in the 'fix'
- Installed the NVIDIA 195.62 drivers (with speedfan OFF)
- Restarted speedfan v4.40

HOWEVER! :
Though the speedfan reading works again my idle temps seem to read about 2-4 degrees c higher than before (prior to the 191.07 drivers)

Rivatuner (wich has worked the whole time) reads an 8 degrees lower temp (41c) than speedfan (49c). The same applied before but only a smaller 'gap'.

Always trusted speedfan over rivatuner, but now that speedfan readings seem to have changed 2-4c which do i trust?

Vista Ultimate 64bit (with UAC on)
Geforce 285 GTX (driver 195.62)
Speedfan v4.40

- Issue History
Date Modified Username Field Change
2009-10-08 17:53 MinDFreaK New Issue
2009-10-08 17:53 MinDFreaK Status new => assigned
2009-10-08 17:53 MinDFreaK Assigned To => alfredo
2009-10-08 17:53 MinDFreaK Motherboard Model => MSI P45 Neo (MS-7519)
2009-10-08 17:53 MinDFreaK Video Card Model => Asus ENGTX275
2009-10-16 11:44 alfredo Note Added: 0005013
2009-10-16 11:44 alfredo Status assigned => acknowledged
2009-11-28 08:34 Jaws Note Added: 0005050
2009-11-28 12:22 MinDFreaK Note Added: 0005051
2009-11-28 12:23 MinDFreaK Note Edited: 0005051
2009-12-15 12:17 Emtri Note Added: 0005062
2009-12-15 12:17 Emtri Note Edited: 0005062
2009-12-15 16:23 MinDFreaK Note Added: 0005063
2009-12-15 16:26 MinDFreaK Note Edited: 0005063
2009-12-19 23:25 UncleSam Note Added: 0005069
2010-12-28 16:58 alfredo Relationship added related to 0001710
2011-04-09 13:44 alfredo Status acknowledged => resolved
2011-04-09 13:44 alfredo Resolution open => fixed
2011-04-09 13:44 alfredo Fixed in Version => 4.43 beta


Copyright © 2000 - 2018 MantisBT Team
Time: 0.1839 seconds.
memory usage: 8,114 KB
Powered by Mantis Bugtracker